# Transfer ERC1155

### Transfer ERC1155 token

## Transfers a single ERC1155 token from your developer wallet to another user

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/v2/item/transfer`

Takes a collection address, tokenId, the recipient's address (to), amount, and your API key and transfers the specified ERC155 token to the recipient

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                      | Type    | Description                                                                                                                                            |
| ----------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| address<mark style="color:red;">\*</mark> | String  | The item's collection address                                                                                                                          |
| tokenId<mark style="color:red;">\*</mark> | Integer | The item's tokenId                                                                                                                                     |
| to<mark style="color:red;">\*</mark>      | String  | The recipient's EVM-compatible address (0x...)                                                                                                         |
| amount<mark style="color:red;">\*</mark>  | Integer | <p>The quantity of this particular item you wish to transfer. </p><p></p><p>This operation will fail if you try to transfer more than your balance</p> |
| chainId<mark style="color:red;">\*</mark> | integer | the collection's chain id                                                                                                                              |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/developer-wallet-endpoints/transfer-erc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
